Chuyển đến nội dung
Diễn đàn CADViet
risusu

[yêu cầu] viết lisp copy nhảy cao độ tự động như hình vẽ kèm theo

Các bài được khuyến nghị

Mình góp ý chút : Bạn đừng bắt mọi người phải down file về mới biết bạn cần gì :)

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Mình góp ý chút : Bạn đừng bắt mọi người phải down file về mới biết bạn cần gì :)

 

Thế làm sao hả ketxu vì hình vẽ rất trực quan dể hiểu.

Yêu cầu của mình là: có cao độ 3.600 khi mình copy lên 1 đoạn 3.600 thì cao độ đó tự động nhảy 7.200 không cần phải kích vào để sửa

Và hình vẽ như hình kèm theo

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

 

Thế làm sao hả ketxu vì hình vẽ rất trực quan dể hiểu.

Yêu cầu của mình là: có cao độ 3.600 khi mình copy lên 1 đoạn 3.600 thì cao độ đó tự động nhảy 7.200 không cần phải kích vào để sửa

Và hình vẽ như hình kèm theo

Phép lịch sự thôi. Mình dốt bền thì không tính, nhưng mọi người ai cũng phải làm việc (đang giờ hành chính nè), bạn còn gửi vỏn vẹn mỗi cái link file bắt mọi người down về mới biết bạn cần gì, tiết kiếm mấy câu mô tả yêu cầu để làm gì ?

Hơn nữa yêu cầu đánh cos CĐ của bạn ở diễn đàn có không biết cơ man là lisp rồi

Hi vọng mọi người sẽ giúp bạn sớm hoặc bạn tìm kiếm ra!

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Phép lịch sự thôi. Mình dốt bền thì không tính, nhưng mọi người ai cũng phải làm việc (đang giờ hành chính nè), bạn còn gửi vỏn vẹn mỗi cái link file bắt mọi người down về mới biết bạn cần gì, tiết kiếm mấy câu mô tả yêu cầu để làm gì ?

Hơn nữa yêu cầu đánh cos CĐ của bạn ở diễn đàn có không biết cơ man là lisp rồi

Hi vọng mọi người sẽ giúp bạn sớm hoặc bạn tìm kiếm ra!

Ở diễn đàn cũng có nhưng mình thích cái coste cao độ như hình mình vẽ cho nó đồng bộ với bản vẽ của mình, mà copy cái kia về mình không biết sửa nên nhờ bạn. thanks

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Ở diễn đàn cũng có nhưng mình thích cái coste cao độ như hình mình vẽ cho nó đồng bộ với bản vẽ của mình, mà copy cái kia về mình không biết sửa nên nhờ bạn. thanks

Thực tình thì copy theo kiểu của bạn chắc chắn trên Cadviet đã có. Tuy nhiên vì bạn có thể tìm chưa ra hoặc không ưng ý, nếu vậy thì dùng thử cái này vậy.

; Doan Van Ha CADViet.com
; Copy-Array, rieng Text co chua so thi tang giam theo gia so, chap nhan so co tien to va hau to.
; Neu co nhieu Text chua so duoc chon thi chi 1 Text chon sau cung duoc tang/giam. So chu so thap phan (neu co) lay theo Text chon.
(defun C:HA (/ dsdt dt dt1 dt2 p1 p2 sl x strt strp num sym ds daup giaso)
(command "undo" "be")
(princ "\nChon cac doi tuong can Copy-Array...")
(setq dsdt (acet-ss-to-list (setq dt (ssget)))
      	dt1 dt
      	p1 (getpoint "\nDiem goc: ")
      	p2 (getpoint p1 "\nDiem den: ")
      	sl (getint "\nSo lan: ")
      	x 1 giaso (/ (- (cadr p2) (cadr p1)) 1000))
(acet-sysvar-set (list "osmode" 0 "cmdecho" 0))
(foreach n dsdt
 (if (or (= "TEXT" (cdr (assoc 0 (entget n)))) (= "MTEXT" (cdr (assoc 0 (entget n)))))
  (if (KT_NUM (cdr (assoc 1 (entget n))))
(setq dt2 n))))
(if dt2 (setq dt1 (ssdel dt2 dt)))
(if dt2
 (progn
  (setq x 1)
  (repeat sl
(command ".copy" dt2 "" p1 (polar p1 (angle p1 p2) (* (distance p1 p2) x)))
(CHIA3 (cdr (assoc 1 (entget dt2))))
(setq daup (if (not (vl-string-search "." (cadr ds))) 0 (- (strlen (cadr ds)) (vl-string-search "." (cadr ds)) 1)))
(entmod (subst (cons 1 (strcat (car ds) (rtos (+ (atof (cadr ds)) (* x giaso)) 2 daup) (caddr ds)))  (assoc 1 (entget (entlast))) (entget (entlast))))
(entupd (entlast))
(setq x (1+ x)))))
(if dt1
 (progn
  (setq x 1)
  (repeat sl
(command ".copy" dt1 "" p1 (polar p1 (angle p1 p2) (* (distance p1 p2) x)))
(setq x (1+ x)))))
(command "undo" "e")
(acet-sysvar-restore)
(princ))
;----- Chia text ra tiento_num_hauto.
(defun CHIA3 (str / trai phai lstt lstn)
(setq lstt (vl-string->list str) lstn (reverse lstt))
(while lstt
 (cond ((or (< (car lstt) 48) (> (car lstt) 57)) (setq trai (cons (car lstt) trai) lstt (cdr lstt)))
        	(T (setq lstt nil))))
(while lstn
 (cond ((or (< (car lstn) 48) (> (car lstn) 57)) (setq phai (cons (car lstn) phai) lstn (cdr lstn)))
        	(T (setq lstn nil))))
(setq ds (list (vl-list->string (reverse trai))
                   	(if (= (strlen str) (strlen (vl-list->string (reverse trai)))) "" (vl-string-right-trim (vl-list->string phai) (vl-string-left-trim (vl-list->string trai) str)))
                   	(if (= (strlen str) (strlen (vl-list->string (reverse trai)))) "" (vl-list->string phai)))))
;----- Kiem tra 1 text co chua num hay khong?
(defun KT_NUM(str / ds kt)
(foreach n (vl-string->list str)
 (if (and (>= n 48) (<= n 57)) (setq kt T)))
kt)

  • Vote tăng 1

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

thank Ha nhé đúng như cái mình cần nhưng còn 1 chỗ nhờ bạn sửa giúp thêm 1 tí. Ban đầu cos +-0.000 nếu copy lên thì sẽ +3.600 nếu copy xuống thì -3.600. thanks. Nếu có thêm chứ năng copy của att block nữa thì ok. Hình kèm theo

caa0e398a691a4071a7931f8cc097ba9_36222835.1072011110704pm.png

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

thank Ha nhé đúng như cái mình cần nhưng còn 1 chỗ nhờ bạn sửa giúp thêm 1 tí. Ban đầu cos +-0.000 nếu copy lên thì sẽ +3.600 nếu copy xuống thì -3.600. thanks.

Đây bạn! Tuy nhiên, bạn đừng y/c theo kiểu lâu lâu 1 y/c thì khổ người viết lắm. Tóm lại, bạn nên nêu tất cả y/c 1 lần thôi. Lisp dưới đây bỏ dấu +-cho bạn, còn các y/c khác thì đợi bạn... hết y/c mới nhào vô viết 1 lần luôn (vì vừa mới sửa xong, up lên thì lại thấy bạn bổ sung thêm y/c nữa).

; Doan Van Ha CADViet.com
; Copy-Array, rieng Text co chua so thi tang giam theo gia so, chap nhan so co tien to va hau to.
; Neu co nhieu Text chua so duoc chon thi chi 1 Text chon sau cung duoc tang/giam. So chu so thap phan (neu co) lay theo Text chon.
(defun C:HA (/ dsdt dt dt1 dt2 p1 p2 sl x strt strp num sym ds daup giaso)
(command "undo" "be")
(princ "\nChon cac doi tuong can Copy-Array...")
(setq dsdt (acet-ss-to-list (setq dt (ssget)))
  		dt1 dt
  		p1 (getpoint "\nDiem goc: ")
  		p2 (getpoint p1 "\nDiem den: ")
  		sl (getint "\nSo lan: ")
  		x 1 giaso (/ (- (cadr p2) (cadr p1)) 1000))
(acet-sysvar-set (list "osmode" 0 "cmdecho" 0))
(foreach n dsdt
 (if (or (= "TEXT" (cdr (assoc 0 (entget n)))) (= "MTEXT" (cdr (assoc 0 (entget n)))))
  (if (KT_NUM (cdr (assoc 1 (entget n))))
(setq dt2 n))))
(if dt2 (setq dt1 (ssdel dt2 dt)))
(if dt2
 (progn
  (setq x 1)
  (repeat sl
(command ".copy" dt2 "" p1 (polar p1 (angle p1 p2) (* (distance p1 p2) x)))
(CHIA3 (cdr (assoc 1 (entget dt2))))
(setq daup (if (not (vl-string-search "." (cadr ds))) 0 (- (strlen (cadr ds)) (vl-string-search "." (cadr ds)) 1)))
;	(entmod (subst (cons 1 (strcat (car ds) (rtos (+ (atof (cadr ds)) (* x giaso)) 2 daup) (caddr ds)))  (assoc 1 (entget (entlast))) (entget (entlast))))
(entmod (subst (cons 1 (strcat (ACET-STR-REPLACE (chr 177) "" (car ds)) (rtos (+ (atof (cadr ds)) (* x giaso)) 2 daup) (caddr ds)))  (assoc 1 (entget (entlast))) (entget (entlast))))
(entupd (entlast))
(setq x (1+ x)))))
(if dt1
 (progn
  (setq x 1)
  (repeat sl
(command ".copy" dt1 "" p1 (polar p1 (angle p1 p2) (* (distance p1 p2) x)))
(setq x (1+ x)))))
(command "undo" "e")
(acet-sysvar-restore)
(princ))
;----- Chia text ra tiento_num_hauto.
(defun CHIA3 (str / trai phai lstt lstn)
(setq lstt (vl-string->list str) lstn (reverse lstt))
(while lstt
 (cond ((or (< (car lstt) 48) (> (car lstt) 57)) (setq trai (cons (car lstt) trai) lstt (cdr lstt)))
		(T (setq lstt nil))))
(while lstn
 (cond ((or (< (car lstn) 48) (> (car lstn) 57)) (setq phai (cons (car lstn) phai) lstn (cdr lstn)))
		(T (setq lstn nil))))
(setq ds (list (vl-list->string (reverse trai))
                   	(if (= (strlen str) (strlen (vl-list->string (reverse trai)))) "" (vl-string-right-trim (vl-list->string phai) (vl-string-left-trim (vl-list->string trai) str)))
                   	(if (= (strlen str) (strlen (vl-list->string (reverse trai)))) "" (vl-list->string phai)))))
;----- Kiem tra 1 text co chua num hay khong?
(defun KT_NUM(str / ds kt)
(foreach n (vl-string->list str)
 (if (and (>= n 48) (<= n 57)) (setq kt T)))
kt)

  • Vote tăng 1

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Hôm qua về mệt quá ngủ luôn, nên quên không viết, srr risusu ^^

1 ví dụ với copy cao độ (ở 2D là tọa độ Y) với tập các đối tượng Text như trong bản vẽ :

(defun c:dc (/ lstSS txtstr p1 p2 listname txt txt1 ss)
(vl-load-com)
(grtext -1 "Free lisp from Cadviet @Ketxu")
(setq  lstSS (mapcar 'entget (acet-ss-to-list (setq ss(ssget))))
 Txt (car (vl-remove-if-not '(lambda(x)(wcmatch (cdadr x)"*TEXT")) lstSS))
 txtstr (atof (acet-dxf 1 txt))
 p1 (getpoint "\nBasepoint :")
 eL (entlast)
)
(while (setq p2 (getpoint p1 "\nTo point :"))
(command "copy" ss "" p1 p2)
(while (setq EL (entnext EL)) (setq Listname (cons EL Listname)))
(setq  Txt1 (car (vl-remove-if-not '(lambda(x)(wcmatch (cdadr (entget x))"*TEXT")) Listname))
 eL (entlast)
)
(vla-put-textstring (vlax-ename->vla-object txt1)
(strcat (cond ((> (setq num (+ txtstr (/ (- (cadr p2)(cadr p1)) 1000))) 0) "+")
((= num 0) "%%p")
(T "")
  )
(rtos num  2 3))
)
)
)

  • Vote tăng 1

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Xin cảm ơn 2 bạn ketxu và Doan Van Ha đã bỏ chút thời gian giúp mình.

Yêu cầu cuối cùng:

Lisp đánh cos cao độ từ cos có sẵn (Để đồng bộ bản vẽ của từng công ty vì mỗi công ty có ký hiệu cos cao độ riêng)

1. Cos là Mtext hoặc Dtext

2. Cos là Att block (Enhanced Attribute Editor)

 

File bản vẽ: http://www.cadviet.com/upfiles/3/xin_lisp_nhu_ban_ve.dwg

Hình ảnh: 78b6f401afccde9344fd7b8c36c53c12_36238312.bbbbbbbbbbbbb.png

Chỉnh sửa theo risusu

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Untitled1-1.gif

 

Viết cho anh em xài. Lisp chấp nhận cả Cos cao độ dạng Text hoặc ATT, và tất nhiên lấy text đầu - ATT đầu của Block đầu xử lý

-Update DImzin ^^

(defun c:dc (/ lstSS txtstr p1 p2 listname txt txt1 ss)
(vl-load-com)
(defun dowith(lstSS / lstSS en str)
(cond  ((setq en  (car (vl-remove-if-not '(lambda(x)(wcmatch (cdadr (entget x))"*TEXT")) lstSS)))(setq str (acet-dxf 1 (entget en)) en (vlax-ename->vla-object en)))
 ((setq en (car (vl-remove-if-not '(lambda(x)(and (wcmatch (cdadr (entget x))"INSERT")(= (acet-dxf 66 (entget x)) 1))) lstSS)))
  (setq str (vla-get-textstring (setq en(car (vlax-invoke (vlax-ename->vla-object en) 'GetAttributes)))))
 )
)
(cons en str)
)
(grtext -1 "Free lisp from Cadviet @Ketxu")
(setq  lstSS (acet-ss-to-list (setq ss (ssget)))
 obj (car (setq en (dowith lstSS)))
 str (cdr en)
 p1 (getpoint "\nBasepoint :")
 eL (entlast)
oDz (getvar "Dimzin")
)
(setvar "DIMZIN" 0)
(while (setq p2 (getpoint p1 "\nTo point :"))
(command "copy" ss "" p1 p2)
(while (setq EL (entnext EL)) (setq Listname (cons EL Listname)))
(setq  Txt1 (car (dowith listName))
 eL (entlast)
)
(vla-put-textstring txt1
(strcat (cond ((> (setq num (+ (atof str) (/ (- (cadr p2)(cadr p1)) 1000))) 0) "+")
((= num 0) "%%p")
(T "")
  )
(rtos num  2 3))
)
)
(setvar "DIMZIN" oDZ)
)

  • Vote tăng 6

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Untitled1-1.gif

 

Viết cho anh em xài. Lisp chấp nhận cả Cos cao độ dạng Text hoặc ATT, và tất nhiên lấy text đầu - ATT đầu của Block đầu xử lý

(defun c:dc (/ lstSS txtstr p1 p2 listname txt txt1 ss)
(vl-load-com)
(defun dowith(lstSS / lstSS en str)
(cond  ((setq en  (car (vl-remove-if-not '(lambda(x)(wcmatch (cdadr (entget x))"*TEXT")) lstSS)))(setq str (acet-dxf 1 (entget en)) en (vlax-ename->vla-object en)))
 ((setq en (car (vl-remove-if-not '(lambda(x)(and (wcmatch (cdadr (entget x))"INSERT")(= (acet-dxf 66 (entget x)) 1))) lstSS)))
  (setq str (vla-get-textstring (setq en(car (vlax-invoke (vlax-ename->vla-object en) 'GetAttributes)))))
 )
)
(cons en str)
)
(grtext -1 "Free lisp from Cadviet @Ketxu")
(setq  lstSS (acet-ss-to-list (setq ss (ssget)))
 obj (car (setq en (dowith lstSS)))
 str (cdr en)
 p1 (getpoint "\nBasepoint :")
 eL (entlast)
)
(while (setq p2 (getpoint p1 "\nTo point :"))
(command "copy" ss "" p1 p2)
(while (setq EL (entnext EL)) (setq Listname (cons EL Listname)))
(setq  Txt1 (car (dowith listName))
 eL (entlast)
)
(vla-put-textstring txt1
(strcat (cond ((> (setq num (+ (atof str) (/ (- (cadr p2)(cadr p1)) 1000))) 0) "+")
((= num 0) "%%p")
(T "")
  )
(rtos num  2 3))
)
)
)

 

 

 

Vô cùng cảm ơn bạn ketxu. Cuối cùng tờ cũng thấy được thành Rome rồi. Lisp này thì bất kể ai dùng cũng được và tự tạo ký hiệu cos theo ý thích. một lần nữa cảm ơn ketxu. Chúc bạn vui vẻ

  • Vote tăng 3

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Bạn ketxu cho thêm tỉ lệ vẽ vào nữa thì lsp sẽ tổng quát hơn !

Chúc bạn vui vẻ.

Hề hề hề,

Xin lỗi bác ketxu cho mình trả lời nhé.

1/- Bạn Lenhatanh là một người sử dụng lisp khá nhiều rồi và cũng đã có một số yêu cầu về việc viết lisp.

Vì thế chắc hẳn bạn cũng hiểu rằng các lisp trên diễn đàn được viết ra hầu hết đều theo ý định ban đầu của chủ topic. Vì thế nó khó đáp ứng được đầy đủ yêu cầu của mọi người. Để sử dụng được các lisp này thì những người tham khảo, không phải là chủ thớt nên hiểu rõ yêu cầu đặt ra của chủ thớt và từ đó tìm cách vận dụng trong trường hợp riêng của mình để phù hợp hoặc nếu muốn sửa đổi cho phù hợp với yêu cầu riêng của mình thì nên tạo một topic khác với tiêu đề là sửa đổi như trong hướng dẫn lập topic ở chuyên mục Autolisp này.

Không nện viết ké như vậy vì rất có thể yêu cầu bổ sung này không phù hợp với yêu cầu của chủ thớt (nghĩa là không tôn trọng chủ thớt).

2/- Vì bạn là người sử dụng lisp khá nhiều nên bạn cũng nên tự tìm hiểu để có thể đ5c và hiểu nội dung của các lisp được gửi lên diễn đàn, đồng thời có thể tự mình sửa những chỗ có thể cho phù hợp với yêu cầu riêng của mình. Như vậy sẽ có lợi hơn cho bạn trong quá trình sử dụng về sau này. (vì biết dâu bạn lại có thêm những yêu cầu mới với những lisp bạn đã và đang dùng). Đồng thời bạn cũng sẽ chủ động được trong công việc của mình, khỏi bị phụ thuộc vào diễn đàn

3/- Với cái yêu cầu của bạn thực ra mình nghĩ bạn hoàn toàn có thể tự sửa được. Bởi vì với yêu cầu đó vấn đề chỉ là bổ sung thêm vào các code dùng để nhập hệ số tỷ lệ bản vẽ và code dùng để xác định giá trị text ghi ra bản vẽ mà thôi.

- Việc nhập hệ số tỷ lệ bạn cũng đã biết, tùy theo ý thích của bạn có thể sử dụng hàm (getint....) hay (getreal .....) và ví dụ là bạn thích dùng (getreal ...) . vậy thì bạn có thể vào help develpoer của CAd để đọc hướng dẫn về cái hàm này rồi sau đó ứng dụng vào để nhập cái tỷ lệ của bản vẽ vào . Tỷ như (setq k (getreal "\n Nhap he so ty le cua ban ve: "))

- Với các code dùng để ghi giá trị text ra bản vẽ thì đọc trong lisp bạn sẽ dễ dàng đoán ra đó là đoạn code:

 

(vla-put-textstring txt1

(strcat (cond ((> (setq num (+ (atof str) (/ (- (cadr p2)(cadr p1)) 1000))) 0) "+")

((= num 0) " %%p")

(T "")

)

(rtos num 2 3))

)

Và giá trị của txt1 được ghi ra bản vẽ chính là chuỗi :

 

 

(strcat (cond ((> (setq num (+ (atof str) (/ (- (cadr p2)(cadr p1)) 1000))) 0) "+")

((= num 0) " %%p")

(T "")

)

(rtos num 2 3))

Trong đó , đoạn:

 

 

(cond ((> (setq num (+ (atof str) (/ (- (cadr p2)(cadr p1)) 1000))) 0) "+")

((= num 0) " %%p")

(T "")

)

Chỉ là điều kiện để ghi cái dấu +, - hay +/- phía trước giá trị của cao độ mà thôi.

Còn (rtos num 2 3) mới thực sự là giá trị được ghi ra bản vẽ.

Đến đây bạn hoàn toàn có thể bắt lisp thể hiện cái cao độ bạn cần phụ thuộc vào giá trị của hệ số tỷ lệ k mà bạn nhập vào trước đó.

Do : Giá trị thực x k = Giá trị vẽ nên Cao độ thực bạn cần ghi sẽ là (/ num k) và bạn chỉ cần thay gia trị này vào trong đoạn code lấy gá trị của cao độ phía trên là Ok. Nghĩa là bạn sẽ có: (rtos (/ num k) 2 3)

 

Bạn hãy cố gắng để làm thử coi sao. nếu thành công, đó là điều tốt để bạn thấy rằng bạn hoàn toàn có thể tự làm mà khỏi cần nhờ ai cả. nếu chưa thành công, hãy post cái kết quả bạn đã làm lên mọi người sẽ góp ý thêm.

Đây chỉ là vài lời thô thiển, có thể trúng có thể trật nhưng mong bạn chớ giận vì đó cũng là cái cách để bản thân tôi có thể tồn tại và làm việc cho tới ngày hôm nay bạn ạ.

Không có việc gì khó, chỉ sợ mình hơi lười thôi bạn ạ....

Hề hề hề,...

  • Vote tăng 1

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

nếu cao độ là con số có 2 chữ số trở nên. VD: +26.50 hay -26.50 thì dấu + và - bị chèn vào đường gióng thẳng của ký hiệu cao độ, các bác nhỉ.

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

nếu cao độ là con số có 2 chữ số trở nên. VD: +26.50 hay -26.50 thì dấu + và - bị chèn vào đường gióng thẳng của ký hiệu cao độ, các bác nhỉ.

 

K biết phải nói sao nữa ^^ Lisp viết tùy biến, mọi người tự đặt Text, tự đặt ATT, chèn vào hay không là do người dùng

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

 

K biết phải nói sao nữa ^^ Lisp viết tùy biến, mọi người tự đặt Text, tự đặt ATT, chèn vào hay không là do người dùng

Hề hề hề,

Đúng hơn là do cái bản vẽ mà người dùng sử dụng bác nhể???? Nếu muốn thì người dùng phải tự hiệu chỉnh thôi bác ạ,Chớ lisp không thể ứng phó hết cái sự khó tính của người dùng đâu.

Hề hề hề,...

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
Hề hề hề, Xin lỗi bác ketxu cho mình trả lời nhé...

...Không có việc gì khó, chỉ sợ mình hơi lười thôi bạn ạ.... Hề hề hề,...

Cám ơn bạn Phamthanhbinh đã nhắc nhở !

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Mình mù tịt về ngôn ngữ lập trình nên ko biết thêm câu lệnh tỷ lệ bản vẽ vào chỗ nào. Các bạn có thể giúp mình hoàn thiện lisp này đc chứ. Cảm ơn nhiều.

  • Vote tăng 1

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

bác ketxu dùng phần mềm gì để tạo ra ảnh gif thế, chỉ cho em với :)

 

Sử dụng phần mềm này nè: Camtasia Studio v7.1.0.1631

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Các Đại ca help e với!!!

Em muốn nhờ các A viết hộ em lisp : Ta chỉ cần pick 2 điểm thì cad sẽ ghi text khoảng cách 2 điểm đó vào 1 vị trí trong bảng cho trước trong cad.Thanks

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Các Đại ca help e với!!!

Em muốn nhờ các A viết hộ em lisp : Ta chỉ cần pick 2 điểm thì cad sẽ ghi text khoảng cách 2 điểm đó vào 1 vị trí trong bảng cho trước trong cad.Thanks

Hề hề hề, các Đại ca đi ăn tết chửa về, Tiểu nhị tui xin giả nhời như sau:

1/- Cái này trên diễn đàn đã có lisp rồi đó, Có thể nó chưa hoàn toàn đúng ý bạn, song bạn hãy thử tìm kiếm và dùng để biết nó còn trật chìa chỗ nào. Khi đó post lên cả file bản vẽ ghi rõ chỗ trật chìa thì có nhẽ mọi người sẽ dễ dàng giúp bạn hơn.

2/- Cách post bài yêu cầu của bạn thật ra là làm khó cho người muốn giúp nhiều lắm bởi người muốn giúp hoàn toàn không hiểu cái bảng cho trước trong CAD của bạn nó gầy béo méo nghiêng thế nào mà đặt text cho phù hợp. Việc viết ra cái lisp không quá khó nhưng nó mà không trúng ý bạn rồi bạn lại yêu cầu sửa thêm thì thực lòng chả ai muốn như vầy đâu bạn ạ.

3/- Rất mong bạn tham khảo hướng dẫn post các yêu cầu về lisp theo quy định của diễn đàn.

Hề hề hề,

Mong bạn chớ bực mình và chúc bạn một năm mới nhiều tiến bộ....

Bạn hãy tham khảo lisp này của bác Duy xem có cần thay đổi gì không nhé.

http://www.cadviet.com/forum/index.php?showtopic=57439

Chỉnh sửa theo phamthanhbinh
Bổ sung trang tham khảo.
  • Vote tăng 1

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Tạo một tài khoản hoặc đăng nhập để nhận xét

Bạn cần phải là một thành viên để lại một bình luận

Tạo tài khoản

Đăng ký một tài khoản mới trong cộng đồng của chúng tôi. Điều đó dễ mà.

Đăng ký tài khoản mới

Đăng nhập

Bạn có sẵn sàng để tạo một tài khoản ? Đăng nhập tại đây.

Đăng nhập ngay


×